Package io.milvus.param.dml

## Class InsertParam.Field

- java.lang.Object
- - io.milvus.param.dml.InsertParam.Field

- Enclosing class:
    InsertParam

      public static class InsertParam.Field
      extends java.lang.Object

  Internal class for insert data. If dataType is Bool, values is List of Boolean; If dataType is Int64, values is List of Long; If dataType is Float, values is List of Float; If dataType is Double, values is List of Double; If dataType is Varchar, values is List of String; If dataType is FloatVector, values is List of List Float; If dataType is BinaryVector, values is List of ByteBuffer; If dataType is Array, values can be List of List Boolean/Integer/Short/Long/Float/Double/String; Note: If dataType is Int8/Int16/Int32, values is List of Integer or Short (why? because the rpc proto only support int32/int64 type, actually Int8/Int16/Int32 use int32 type to encode/decode)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Field​(java.lang.String name, java.util.List<?> values)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Return name of the field.
    `java.util.List<?>` | `getValues()` | Return data of the field, in column-base.
    `java.lang.String` | `toString()` | Constructs a `String` by `InsertParam.Field` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Field

          public Field​(java.lang.String name,
                       java.util.List<?> values)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Return name of the field.
      Returns:
        `String`

    - #### getValues

          public java.util.List<?> getValues()

      Return data of the field, in column-base.
      Returns:
        `List`

    - #### toString

          public java.lang.String toString()

      Constructs a `String` by `InsertParam.Field` instance.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        `String`